All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sas.iquery.metadata.business
Enum ExportColumnGroup.ExportGroupType

    com.sas.iquery.metadata.business.ExportColumnGroup.ExportGroupType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExportColumnGroup.ExportGroupType>

Enclosing interface:
  ExportColumnGroup

    public static enum ExportColumnGroup.ExportGroupType

Enum Constant Summary
`HIERARCHY` these export columns make up a the parts of a defined hierarchy.
`OTHER` these export columns are not grouped on a role or in a hierarchy, they are something else.
`ROLE` these export columns are on a common role.
`USAGE` these export columns occur grouped by a common usage.

Method Summary
`java.lang.String` | `getDescription(java.lang.Object obj)` retuns the Description for the given underly object of this column group type.
`java.lang.String` | `getID(java.lang.Object obj)` returns the ID for the given underlying object object of this column group type.
`java.lang.String` | `getLabel(java.lang.Object obj)` returns the Label for the given underlying object of this column group type.
`static ExportColumnGroup.ExportGroupType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExportColumnGroup.ExportGroupType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Enum Constant Detail

### ROLE

    public static final ExportColumnGroup.ExportGroupType ROLE

  these export columns are on a common role. The Underlying Object must be of type Role.

### USAGE

    public static final ExportColumnGroup.ExportGroupType USAGE

  these export columns occur grouped by a common usage. The underlying Object must be of type DataItemActionType (USAGE_CATEGORY, USAGE_MEASURE, USAGE_DETAIL).

### HIERARCHY

    public static final ExportColumnGroup.ExportGroupType HIERARCHY

  these export columns make up a the parts of a defined hierarchy. The underlying Object must be of type Hierarchy.

### OTHER

    public static final ExportColumnGroup.ExportGroupType OTHER

  these export columns are not grouped on a role or in a hierarchy, they are something else. Inspect the underlying object for what class they might be.

Method Detail

### values

    public static ExportColumnGroup.ExportGroupType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExportColumnGroup.ExportGroupType c : ExportColumnGroup.ExportGroupType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExportColumnGroup.ExportGroupType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getID

    public java.lang.String getID(java.lang.Object obj)
                           throws MetadataException

  returns the ID for the given underlying object object of this column group type.

  Throws:
    `MetadataException`

### getLabel

    public java.lang.String getLabel(java.lang.Object obj)
                              throws MetadataException

  returns the Label for the given underlying object of this column group type.

  Throws:
    `MetadataException`

### getDescription

    public java.lang.String getDescription(java.lang.Object obj)
                                    throws MetadataException

  retuns the Description for the given underly object of this column group type.

  Throws:
    `MetadataException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.